OgreD3D11HLSLProgram.h File Reference
`#include "OgreD3D11Prerequisites.h"`
`#include "OgreHighLevelGpuProgram.h"`
`#include "OgreD3D11VertexDeclaration.h"`

Go to the source code of this file.

## Classes

class | Ogre::D3D11HLSLProgram
| Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL). More...
class | Ogre::D3D11HLSLProgram::CmdEntryPoint
| Command object for setting entry point. More...
class | Ogre::D3D11HLSLProgram::CmdTarget
| Command object for setting target assembler. More...
class | Ogre::D3D11HLSLProgram::CmdPreprocessorDefines
| Command object for setting macro defines. More...
class | Ogre::D3D11HLSLProgram::CmdColumnMajorMatrices
| Command object for setting matrix packing in column-major order. More...
class | Ogre::D3D11HLSLProgram::CmdEnableBackwardsCompatibility
| Command object for setting backwards compatibility. More...
struct | Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf

## Namespaces

namespace | Ogre

## Typedefs

typedef vector< byte >::type | Ogre::MicroCode

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24